libvisio::VSDRelCubBezTo Class Reference documentation

Public Member Functions | Public Attributes | List of all members
libvisio::VSDRelCubBezTo Class Reference
Inheritance diagram for libvisio::VSDRelCubBezTo:

## Public Member Functions
| VSDRelCubBezTo (unsigned id, unsigned level, const boost::optional< double > &x, const boost::optional< double > &y, const boost::optional< double > &a, const boost::optional< double > &b, const boost::optional< double > &c, const boost::optional< double > &d)
| ~VSDRelCubBezTo () override
void | handle (VSDCollector *collector) const override
VSDGeometryListElement * | clone () override
Public Member Functions inherited from libvisio::VSDGeometryListElement
| VSDGeometryListElement (unsigned id, unsigned level)
virtual | ~VSDGeometryListElement ()
virtual unsigned | getDataID () const
void | setLevel (unsigned level)

## Public Attributes
double | m_x
double | m_y
double | m_a
double | m_b
double | m_c
double | m_d

## Additional Inherited Members
Protected Attributes inherited from libvisio::VSDGeometryListElement
unsigned | m_id
unsigned | m_level

## Constructor & Destructor Documentation

## ◆ VSDRelCubBezTo()

libvisio::VSDRelCubBezTo::VSDRelCubBezTo | ( | unsigned | id,
|  | unsigned | level,
|  | const boost::optional< double > & | x,
|  | const boost::optional< double > & | y,
|  | const boost::optional< double > & | a,
|  | const boost::optional< double > & | b,
|  | const boost::optional< double > & | c,
|  | const boost::optional< double > & | d )
| inline

## ◆ ~VSDRelCubBezTo()

libvisio::VSDRelCubBezTo::~VSDRelCubBezTo | ( |  | ) |
| inlineoverride

## Member Function Documentation

## ◆ clone()

libvisio::VSDGeometryListElement * libvisio::VSDRelCubBezTo::clone | ( |  | ) |
| overridevirtual

Implements libvisio::VSDGeometryListElement.

## ◆ handle()

void libvisio::VSDRelCubBezTo::handle | ( | VSDCollector * | collector | ) | const
| overridevirtual

Implements libvisio::VSDGeometryListElement.

## Member Data Documentation

## ◆ m_a

double libvisio::VSDRelCubBezTo::m_a

## ◆ m_b

double libvisio::VSDRelCubBezTo::m_b

## ◆ m_c

double libvisio::VSDRelCubBezTo::m_c

## ◆ m_d

double libvisio::VSDRelCubBezTo::m_d

## ◆ m_x

double libvisio::VSDRelCubBezTo::m_x

## ◆ m_y

double libvisio::VSDRelCubBezTo::m_y

The documentation for this class was generated from the following file:

- VSDGeometryList.cpp